Skip to content

Cancel dynamic fee

Request

Security
oauth2(Required scopes: loan:cancel.dynamicfee) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

loanFeeIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The loan fee identifier.

Query
clearExternalIdboolean

If true, will clear the external ID for the object.

Default:false
Bodyapplication/json
caseIdstring

An identifier for an existing case.

POST
/people/{personId}/loans/{loanId}/fees/{loanFeeId}/cancel
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/fees/{loanFeeId}/cancel?clearExternalId=false' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "caseId": "string"
  }'

Responses

Canceled

Response
No content